Skitflow
Generated

Certificates

Skitflow API reference for Certificates endpoints.

POST
/certificates.create

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/certificates.create" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "certificateData": "string",    "privateKey": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
GET
/certificates.one

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

certificateId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/certificates.one?certificateId=string"
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/certificates.remove

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/certificates.remove" \  -H "Content-Type: application/json" \  -d '{    "certificateId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
GET
/certificates.all

Authorization

Authorization
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/certificates.all"
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}